Subject: bug#48421: 28.0.50; Edit region for query-replace gets lost

From: "Bob Floyd" <[email-masked]>
Date: Fri, 14 May 2021 16:54:25 -0700

Yes, I know you fixed it in bug#45617 as it was I who reported it, and thank
you!

However, it has resurfaced in the development version I'm using - perhaps
the fix was not put into the repository?

The query-replace incorrectly selects all of the `_nmPrmset`s and not just
those in the edit region.

-----Original Message-----
From: Juri Linkov [mailto:[email-masked]] 
Sent: Friday, May 14, 2021 11:14 AM
To: Bob Floyd
Cc: [email-masked]
Subject: Re: bug#48421: 28.0.50; Edit region for query-replace gets lost

> Note the edit region of 1,2,3 is lost.

Actually, the region is not lost.  We fixed this in bug#45617 recently,
so now query-replace operates on the correct region boundaries.

But during replacement the region is deactivated deliberately.
If you could confirm that query-replace preforms replacements
only in the selected region (although the region is deactivated
during replacement), then everything is correct.